Firmware 0.6.4 in Beta und Stable


#1

Ab sofort steht die Firmware Version 0.6.4 im Beta und Stable Branch zur Verfügung. Enthaltene Änderungen:

  • Update auf Gluon 2016.2.2
  • Wechsel des IPv6 Prefix
  • Entfernen des Pakets ffrn-remove-old-vlan

#2

Habe gerade mal meinen Node + Futro geupdate, nun kann ich kein snmpd mehr nachinstallieren.

Fehler jeweils hier:
https://paste.ffrn.de/?dfd382b83ed3c19b#AseFbLQYmNRw4j+rCykyU5EFZat0xIyAZybuIaOvWQ4=
und
https://paste.ffrn.de/?b3f44ee7ca4183e4#78e70KD5OqNLI5W/sE+m308WgndlsFMXlOQZpHuOqT8=

Grüße
Michael


#3

Sollte jetzt wieder gehen. Da hat sich ein kleiner Fehler im Routing eingeschlichen.


#4

Kann ich bestätigen - geht wieder! Danke!


#5

Soweit ich das bis jetzt betrachten kann, lief dieses Update sehr problemlos durch und ist jetzt auf der Mehrzahl der Geräte installiert. Verloren haben wir diesmal scheinbar keine Knoten, das ist auch super. Allerdings konnte ich beobachten, dass einer meiner Knoten einen Reboot brauchte, aber das dürfte auch die Ausnahme gewesen sein.

Ansonsten gab es noch berichte, dass es die Cron Einträge nicht überlebt haben. Da müsste man mal gucken, woran das lag, bzw. ob sich da was geändert hat.

An die paar Menschen die noch Knoten mit Firmware < 0.6.2 haben, weil der Autoupdater aus ist. Es wäre super, wenn ihr eure Knoten mal auf die aktuellste Version hebt. Das bringt euch wirklich einige Verbesserungen und vor allem wieder funktionierenden IPv6 Zugriff auf euren Knoten.


#6

Noch eine spannende Entwicklung durch das Update: Die globale Load Kurve passt aktuell ziemlich gut zu den Client Zahlen und es gib keinen deutlichen Anstieg mehr ab einem bestimmten Wert an Clients.


#7

Hab gerade festgestellt, dass einer meiner Knoten noch in 0.5.2 festhaengt
Firmware 0.5.2-20160307 / gluon-v2016.1-1-g07175ba

Wie kann ich den am schnellsten auf 0.6.4 heben?
autoupdater meckert:

autoupdater
/usr/bin/lua: /usr/sbin/autoupdater:23: attempt to index local ‘settings’ (a nil value)
stack traceback:
/usr/sbin/autoupdater:23: in main chunk
[C]: ?


#8

Irgendwie doof, ich weiss - aber der Knoten haengt immer noch in 0.5.2 rum, hab den ganz vergessen. Neu flashen hab ich gerade keinen Nerv zu. Hat jemand noch eine Idee? Sonst lass ich den halt laufen bis er abraucht.

uci commit bringt folgende Fehlermeldung:

uci commit
uci: Parse error (invalid command) at line 22, byte 1


#9

Zwei Möglichkeiten:

  1. Via SSH:
    Einloggen, cd /tmp; wget SYSUPGRADE_LINK; sysupgrade DATEINAME

  2. Via Config Mode das Sysupgrade Image manuell einspielen.


#10

Danke, wenn ich jetzt noch den Link haette fuer das sysupgrade, fuerchte allerdings auch, dass das nicht mehr in /tmp passt.


#11

Ich finde keine Quelle fuer das sysupgrade-Image, kann mir mal jemand einen Tipp geben? Vermutlich ist das zu selbstverstaendlich oder nur durch Guruwissen aufzufinden.
Es handelt sich um einen 841er, V10.

Edith: Ok, wer suchet… http://fw.ffrn.de/


#12

So, jetzt ist der Knoten ganz kaputt, dann waren’s nur noch zwei und erstmal kein Zeitfenster zum Frickeln.


#13